#
# Conditional build:
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

%define		module	pycairo
Summary:	Python 2 Cairo bindings
Summary(pl.UTF-8):	Dowiązania Pythona 2 dla Cairo
Name:		python-%{module}
Version:	1.16.3
Release:	5
License:	LGPL v2.1 or MPL v1.1
Group:		Libraries/Python
Source0:	https://github.com/pygobject/pycairo/releases/download/v%{version}/%{module}-%{version}.tar.gz
# Source0-md5:	d2a115037ccd128219f43d5ed3df7926
Patch0:		python3.8.patch
URL:		http://cairographics.org/
BuildRequires:	cairo-devel >= 1.13.1
BuildRequires:	pkgconfig
%if %{with python2}
BuildRequires:	python >= 1:2.7
BuildRequires:	python-devel >= 1:2.7
# python2 only for now
BuildRequires:	python-xpyb-devel >= 1.3
%if %{with tests}
BuildRequires:	python-hypothesis
BuildRequires:	python-numpy
BuildRequires:	python-pytest
%endif
%endif
%if %{with python3}
BuildRequires:	python3 >= 1:3.3
BuildRequires:	python3-devel >= 1:3.3
%if %{with tests}
BuildRequires:	python3-hypothesis
BuildRequires:	python3-numpy
BuildRequires:	python3-pytest
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	python-Sphinx
%endif
Requires:	python-libs >= 1:2.7
Requires:	cairo >= 1.13.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python 2 Cairo bindings.

%description -l pl.UTF-8
Dowiązania Pythona 2 dla Cairo.

%package devel
Summary:	Development files for Python 2 pycairo
Summary(pl.UTF-8):	Pliki programistyczne pycairo dla Pythona 2
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cairo-devel >= 1.13.1
Requires:	python-devel >= 1:2.7

%description devel
Development files for Python 2 pycairo.

%description devel -l pl.UTF-8
Pliki programistyczne pycairo dla Pythona 2.

%package -n python3-%{module}
Summary:	Python 3 Cairo bindings
Summary(pl.UTF-8):	Dowiązania Pythona 3 dla Cairo
Group:		Libraries/Python
Requires:	cairo >= 1.13.1
Requires:	python3-libs >= 1:3.3

%description -n python3-%{module}
Python 3 Cairo bindings.

%description -n python3-%{module} -l pl.UTF-8
Dowiązania Pythona 3 dla Cairo.

%package -n python3-%{module}-devel
Summary:	Development files for Python 3 pycairo
Summary(pl.UTF-8):	Pliki programistyczne pycairo dla Pythona 3
Group:		Development/Libraries
Requires:	cairo-devel >= 1.13.1
Requires:	python3-%{module} = %{version}-%{release}
Requires:	python3-devel >= 1:3.3

%description -n python3-%{module}-devel
Development files for Python 3 pycairo.

%description -n python3-%{module}-devel -l pl.UTF-8
Pliki programistyczne pycairo dla Pythona 3.

%package apidocs
Summary:	API documentation for Python Cairo bindings
Summary(pl.UTF-8):	Dokumentacja API dla wiązań Pythona do Cairo
Group:		Documentation
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
API documentation for Python Cairo bindings.

%description apidocs -l pl.UTF-8
Dokumentacja API dla wiązań Pythona do Cairo.

%package examples
Summary:	Example programs using Python Cairo bindings
Summary(pl.UTF-8):	Przykładowe programy w Pythonie używające Cairo
Group:		Libraries/Python
Obsoletes:	python3-pycairo-devel
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description examples
Example programs using Python Cairo bindings.

%description examples -l pl.UTF-8
Przykładowe programy w Pythonie używające Cairo.

%prep
%setup -q -n pycairo-%{version}
%patch0 -p1

%build
%if %{with python2}
%py_build %{?with_tests:test} \
	--enable-xpyb
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%if %{with doc}
%{__make} -C docs
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python2}
%py3_install
%endif

cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc COPYING NEWS README.rst
%dir %{py_sitedir}/cairo
%attr(755,root,root) %{py_sitedir}/cairo/_cairo.so
%{py_sitedir}/cairo/__init__.py[co]
%{py_sitedir}/cairo/__init__.pyi
%{py_sitedir}/cairo/include
%{py_sitedir}/pycairo-%{version}-py*.egg-info
%endif

%files devel
%defattr(644,root,root,755)
%dir %{_includedir}/pycairo
%{_includedir}/pycairo/pycairo.h
%{_pkgconfigdir}/pycairo.pc

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc COPYING NEWS README.rst
%dir %{py3_sitedir}/cairo
%attr(755,root,root) %{py3_sitedir}/cairo/_cairo.cpython-*.so
%{py3_sitedir}/cairo/__init__.py
%{py3_sitedir}/cairo/__init__.pyi
%{py3_sitedir}/cairo/__pycache__
%{py3_sitedir}/cairo/include
%{py3_sitedir}/pycairo-%{version}-py*.egg-info

%files -n python3-%{module}-devel
%defattr(644,root,root,755)
%dir %{_includedir}/pycairo
%{_includedir}/pycairo/py3cairo.h
%{_pkgconfigdir}/py3cairo.pc
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/{_images,_static,reference,*.html,*.js}
%endif

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Nov 03 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pycairo.git;a=log;h=master

* Sun Nov 03 2019 Jan Rękorajski <baggins@pld-linux.org> f7f8a86
- release 5 (by relup.sh)

* Wed Oct 30 2019 Jan Palus <atler@pld-linux.org> 7028aee
- upstream patch to fix build against python 3.8; rel 4

* Wed Oct 10 2018 Jakub Bogusz <qboosh@pld-linux.org> c34b124
- build python/python3 packages from single spec
- package only single -examples
- added tests and apidocs
- release 3

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> b57fdcd
- release 2 (by relup.sh)

* Sat Mar 24 2018 Marcin Banasiak <marcin.banasiak@gmail.com> aae9ed8
- Update to 1.16.3

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 4fc6a75
- python 3.6
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> a89f0ab
- release 4 (by relup.sh)

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> d7a9587
- release 3 (by relup.sh)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 9285097
- x32 rebuild
- release 2 (by relup.sh)

* Mon May 02 2011 Jakub Bogusz <qboosh@pld-linux.org> 35d21a3
- updated to 1.10.0

* Fri Dec 10 2010 lisu <lisu@pld-linux.org> 4a451d0
- define name for module
- use rm macro

* Tue Oct 19 2010 lisu <lisu@pld-linux.org> ba9c21a
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c5b55d9
- release 2

* Sat Jul 03 2010 Jakub Bogusz <qboosh@pld-linux.org> f974654
- updated to (py2cairo) 1.8.10

* Thu Nov 26 2009 sparky <sparky@pld-linux.org> 42756d9
- BR: pkgconfig, python-devel

* Sat Oct 24 2009 Szymon Siwek <sls@pld-linux.org> aebea67
- BR: python >= 2.6

* Sat Oct 17 2009 wrobell <wrobell@pld-linux.org> 301c9e6
- changelog is no longer provided

* Sat Oct 17 2009 wrobell <wrobell@pld-linux.org> f3de73a
- ver. 1.8.8

* Wed Jul 15 2009 Artur Frysiak <artur@frysiak.net> d46c58d
- updated to 1.8.6

* Mon Mar 30 2009 duddits <duddits@pld-linux.org> 46c27e9
- up to 1.8.4

